@echo off
Cls
Echo Installing Fonts....
Echo.
Echo Please Wait ....
Echo.
if exist c:\windows\fonts goto copyC
:chkD
if exist d:\windows\fonts goto copyD
:chkE
if exist d:\windows\fonts goto copyE
:chkF
if exist f:\windows\fonts goto copyF
:chkG
if exist g:\windows\fonts goto copyG
:chkH
if exist h:\windows\fonts goto copyH
:chkI
if exist i:\windows\fonts goto copyI
:chkJ
if exist j:\windows\fonts goto copyJ
:chkK
if exist k:\windows\fonts goto copyK
:chkL
if exist l:\windows\fonts goto copyL
:chkM
if exist m:\windows\fonts goto copyM
:chkN
if exist n:\windows\fonts goto copyN
:chkO
if exist o:\windows\fonts goto copyO
:chkP
if exist p:\windows\fonts goto copyP
:chkQ
if exist q:\windows\fonts goto copyQ
:chkR
if exist r:\windows\fonts goto copyR
:chkS
if exist s:\windows\fonts goto copyS
:chkT
if exist t:\windows\fonts goto copyT
:chkU
if exist u:\windows\fonts goto copyU
:chkV
if exist v:\windows\fonts goto copyV
:chkW
if exist w:\windows\fonts goto copyW
:chkX
if exist x:\windows\fonts goto copyX
:chkY
if exist y:\windows\fonts goto copyY
:chkZ
if exist z:\windows\fonts goto copyZ

goto Exit






:copyC
 copy *.ttf c:\windows\fonts
 goto chkD
:copyD
 copy *.ttf d:\windows\fonts
 goto chkE
:copyE
 copy *.ttf e:\windows\fonts
 goto chkF
:copyF
 copy *.ttf f:\windows\fonts
 goto chkG
:copyG
 copy *.ttf g:\windows\fonts
 goto chkH
:copyH
 copy *.ttf h:\windows\fonts
 goto chkI
:copyI
 copy *.ttf i:\windows\fonts
 goto chkJ
:copyJ
 copy *.ttf j:\windows\fonts
 goto chkK
:copyK
 copy *.ttf k:\windows\fonts
 goto chkL
:copyL
 copy *.ttf l:\windows\fonts
 goto chkM
:copyM
 copy *.ttf m:\windows\fonts
 goto chkN
:copyN
 copy *.ttf n:\windows\fonts
 goto chkO
:copyO
 copy *.ttf o:\windows\fonts
 goto chkP
:copyP
 copy *.ttf p:\windows\fonts
 goto chkQ
:copyQ
 copy *.ttf q:\windows\fonts
 goto chkR
:copyR
 copy *.ttf r:\windows\fonts
 goto chkS
:copyS
 copy *.ttf s:\windows\fonts
 goto chkT
:copyT
 copy *.ttf t:\windows\fonts
 goto chkU
:copyU
 copy *.ttf u:\windows\fonts
 goto chkV
:copyV
 copy *.ttf v:\windows\fonts
 goto chkW
:copyW
 copy *.ttf w:\windows\fonts
 goto chkX
:copyX
 copy *.ttf x:\windows\fonts
 goto chkY
:copyY
 copy *.ttf y:\windows\fonts
 goto chkZ
:copyZ
 copy *.ttf z:\windows\fonts

:Exit

Echo Font Installation Complete .
Echo
cls




